"Graduated Symbol" symbology: wrong numeric ranges

2008-03-09 10:05 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11042

Description

There are following values in the numeric column of a vector layer: 0, 1, 2, 3.

Go to Layer Properties > Symbology > Graduated Symbol to build a legend for it.

If the number of classes is 1, QGIS creates the range as "0.999 - 3.001". Why is 0 omitted and why is max grater than 3? The range

should be "0 - 3".

For 2 classes I get: "0.999 - 2.000" and "2.000 - 3.001". Besides wrong min and max like above, I think that "2.000" should not be included

in both ranges. Moreover, as the input are integer numbers, decimal numbers should not be present - they suggest different numeric

precision than the input data actually have.

History

#1 - 2008-03-28 12:10 PM - Jürgen Fischer

what data source does this apply to?

#2 - 2008-03-28 03:21 PM - Maciej Sieczka -

Replying to [comment:1 jef]:

what data source does this apply to?

I tried [[PostGIS]] and Shapefile - the bug applies to both.

Check with the attached Shapefile first, then after importing it into [[PostGIS]] (thanks for fixing SPIT!!!). You should be a ble to reproduce the bug with

either data source.

#3 - 2008-10-10 12:45 PM - Tim Sutton

- Status changed from Open to Closed

- Resolution set to fixed

Tested in SVN trunk commit:f5a0a4ca (SVN r9471) and graduations run from -0.001 to +4.001. Works for me, I'm closing this ticket, please reopen if

problems persist.
#4 - 2008-12-21 11:55 AM - Maciej Sieczka -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

This bug is only partialy fixed.

The attached Shapefile has the following values in the floating point column 'nmb': 0.0, 1.0, 2.0, 3.0.

Try to classify it with "graduated symbol", one class - the data range according to QGIS is '-0.001 - 4.001'. This exceeds the actual data range which is '0 -

4'.

#5 - 2009-06-29 08:37 AM - Giovanni Manghi

Tested now on QGIS 1.2 (rev. 10988) with the provided shapefile (one column, "nmb", with values 0,1,2,3,4).

with 1 classes and "mode" is "quantiles" qgis creates the range "0.000000 - 4.000000"

with 1 classes and "mode" is "equal interval" qgis creates the range "-0.001 - 4.001"

with 2 classes and "mode" is "quantiles" qgis creates the ranges "0.000000 - 2.000000" and "2.000000 - 4.000000"

with 2 classes and "mode" is "equal interval" qgis creates the ranges "-0.001 - 2.000" and "2.000 - 4.001"

I'm not sure the problem has been solved.

#6 - 2009-06-30 07:49 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Feedback to Closed

Fixed in commit:6a9ae8f4 (SVN r10990)

Files

nmb.tar.bz2 729 Bytes 2008-03-28 Maciej Sieczka -
